bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#32319: 27.0.50; flyspell-mode error on start


From: Eli Zaretskii
Subject: bug#32319: 27.0.50; flyspell-mode error on start
Date: Wed, 01 Aug 2018 09:00:38 +0300

> From: Eric Abrahamsen <address@hidden>
> Date: Tue, 31 Jul 2018 19:03:26 -0700
> 
> But! This was a false alarm: the problem is a bug in the hunspell_en
> package for Arch linux, which is missing some symlinks, and causing
> several other programs to fail: 
> 
> https://bugs.archlinux.org/task/59401

So the problem was that the files en_US.*, which spell-checking was
supposed to use, didn't exist, is that right?

> It might have been nice if ispell allowed the real error to reach me
> (during edebugging I did see something like "no affix file found for
> "en_US""), but I suppose it isn't a big deal.

At some point in the initialization, ispell.el looks for the
dictionary file, and if not found, falls back to a user option (which
was nil in your case).  Can you spot where both are nil, and propose a
patch in that place to display a warning or error message?

Thanks.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]